Summary: An X Window System image editing or paint program.
Name: xpaint
Version: 2.4.9
Release: 14mdk
Copyright: MIT
Group: Graphics
Source0: ftp://sunsite.unc.edu/pub/Linux/apps/graphics/draw/xpaint-2.4.9.tar.bz2
Source1: xpaint
Source2: %{name}16.xpm.bz2
Source3: %{name}32.xpm.bz2
Source4: %{name}48.xpm.bz2
Patch: xpaint-2.4.7-config.patch.bz2
Patch1: xpaint-2.4.7-glibc.patch.bz2
BuildRoot: /var/tmp/xpaint-root

%description
XPaint is an X Window System color image editing program which supports
most standard paint program options.  XPaint also supports advanced
features like image processing algorithms.  XPaint allows you to edit
multiple images simultaneously and supports a variety of image formats,
including PPM, XBM, TIFF, JPEG, etc.

Install the xpaint package if you need a paint program for X.

%prep
%setup -q -n xpaint
%patch -p1 -b .config
%patch1 -p1 -b .glibc

%build
xmkmf
make Makefiles
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT MANDIR=/usr/X11R6/man/man1 install install.man

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

%post
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi
  
%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
    /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README README.PNG TODO Doc
/usr/X11R6/bin/xpaint
/usr/X11R6/lib/X11/app-defaults/XPaint
/usr/X11R6/man/man1/xpaint.1x*
/usr/lib/menu/*
/usr/share/icons/%{name}.xpm
/usr/share/icons/mini/*
/usr/share/icons/large/*

%changelog
* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.4.9-14mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.4.9-13mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.4.9-12mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 2.4.9-11mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected status of resource file

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location
